Skip to main content
GET
Retrieves a production item by the ID of the underlying item.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token
Scopes1
pps.read
Grants permission to read production data.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

itemId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

A production item.

id
string<uuid>
required

The ID of this production item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

itemId
string<uuid>
required

The ID of the item underlying this production item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

lotType
enum<integer>
required

Defines the type of lot size configuration for this production item.

Available options:
0,
3
productionType
enum<integer>
required

Defines the type of manufacturing of this production item.

Available options:
0,
1
createDate
string<date-time>
required

The timestamp when this production item was created.

updateDate
string<date-time>
required

The timestamp when this production item was last modified.

lotLabelTemplateKey
string<uuid>

The ID of a template to be used for printing an item label when a lot is completed, or NULL if no item label should be printed on completion.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

singleItemLabelTemplateKey
string<uuid>

The ID of a template to be used for printing an item label for each produced unit when a lot is completed, or NULL if no item label for each produced unit should be printed on completion.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

updateUserId
string<uuid>

The ID of the user who last modified this production item, or NULL if this production item has not been modified yet.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"